﻿<!-- BattleForge Special Effect Editor -->
<!-- Copyright(C) 2021 Skylords Reborn -->
<!-- Project licensed under GNU General Public License v3.0. See LICENSE for more information. -->

<UserControl x:Class="BattleForgeEffectEditor.Application.View.GenericControls.DirectoryChooserView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:vm="clr-namespace:BattleForgeEffectEditor.Application.ViewModel.GenericControls"
             d:DataContext="{d:DesignInstance Type=vm:DirectoryChooserViewModel}"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <StackPanel Orientation="Horizontal">
        <Button Width="50" Command="{Binding OpenOrSetDirectoryCommand}" Grid.Column="0" Margin="0, 0, 5, 0" 
                Content="{Binding SetOpenButtonText}"/>
        <Button Width="50" Content="Reset" Command="{Binding ClearDirectoryCommand}" 
                                Visibility="{Binding HasDirectorySet, Converter={StaticResource BoolToVisibility}}"/>
        <Label Content="Directory: "/>
        <TextBlock Text="{Binding Directory}" TextAlignment="Left" VerticalAlignment="Center"/>
    </StackPanel>
</UserControl>
